
D4Science Infrastructure - Task #8751

Task # 8749 (Closed): Create Resource Registry Cluster

HA Proxy Instance for resource registry service

May 25, 2017 03:06 PM - Luca Frosini

Status: Closed Start date: May 25, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.5

  

Infrastructure: Production   

Description

History

#1 - May 25, 2017 03:06 PM - Luca Frosini

- Description updated

#2 - Jun 07, 2017 07:26 PM - Andrea Dell'Amico

- Tracker changed from VM Creation to Task

We're going to use the infra load balancer for this service. It has plenty of resources and it's in HA.

#3 - Jun 08, 2017 12:48 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The hostname is going to be resource-registry.d4science.org

#4 - Jun 08, 2017 01:04 PM - Andrea Dell'Amico

We need a URL that haproxy can check regularly and very frequently (each second or less) to know the status of the service on every host.

#5 - Jun 08, 2017 03:59 PM - Luca Frosini

HEAD/GET /resource-registry/access/schema/Facet?polymorphic=false&gcube-token=XXXX

#7 - Jun 08, 2017 06:35 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Done. There's no http -> https redirection. Do we need it?

#9 - Jun 14, 2017 12:25 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
